AISchedule (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.AISchedule class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AISchedule

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.autoinventory.AISchedule

All Implemented Interfaces:
  java.io.Serializable

    public class AISchedule

extends PersistedObject

Pojo for hibernate mapping file

See Also:
  Serialized Form

Constructor Summary
`AISchedule()` default constructor

Method Summary
`AIScheduleValue` | `getAIScheduleValue()` Deprecated. use (this) AISchedule object
`byte[]` | `getConfig()`
`java.lang.Integer` | `getEntityId()`
`java.lang.Integer` | `getEntityType()`
`java.lang.String` | `getJobName()`
`java.lang.String` | `getJobOrderData()`
`long` | `getNextFireTime()`
`java.lang.String` | `getScanDesc()`
`java.lang.String` | `getScanName()`
`ScheduleValue` | `getScheduleValue()`
`byte[]` | `getScheduleValueBytes()`
`java.lang.String` | `getSubject()`
`java.lang.String` | `getTriggerName()`
`void` | `setAIScheduleValue(AIScheduleValue valueHolder)`
`void` | `setConfig(byte[] config)`
`void` | `setEntityId(java.lang.Integer entityId)`
`void` | `setEntityType(java.lang.Integer entityType)`
`void` | `setJobName(java.lang.String jobName)`
`void` | `setJobOrderData(java.lang.String jobOrderData)`
`void` | `setNextFireTime(long nextFireTime)`
`void` | `setScanDesc(java.lang.String scanDesc)`
`void` | `setScanName(java.lang.String scanName)`
`void` | `setScheduleValue(ScheduleValue schedule)`
`void` | `setScheduleValueBytes(byte[] scheduleValueBytes)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setTriggerName(java.lang.String triggerName)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AISchedule

    public AISchedule()

  default constructor

Method Detail

### getEntityType

    public java.lang.Integer getEntityType()

### setEntityType

    public void setEntityType(java.lang.Integer entityType)

### getEntityId

    public java.lang.Integer getEntityId()

### setEntityId

    public void setEntityId(java.lang.Integer entityId)

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### getScheduleValueBytes

    public byte[] getScheduleValueBytes()

### setScheduleValueBytes

    public void setScheduleValueBytes(byte[] scheduleValueBytes)

### getNextFireTime

    public long getNextFireTime()

### setNextFireTime

    public void setNextFireTime(long nextFireTime)

### getTriggerName

    public java.lang.String getTriggerName()

### setTriggerName

    public void setTriggerName(java.lang.String triggerName)

### getJobName

    public java.lang.String getJobName()

### setJobName

    public void setJobName(java.lang.String jobName)

### getJobOrderData

    public java.lang.String getJobOrderData()

### setJobOrderData

    public void setJobOrderData(java.lang.String jobOrderData)

### getScanName

    public java.lang.String getScanName()

### setScanName

    public void setScanName(java.lang.String scanName)

### getScanDesc

    public java.lang.String getScanDesc()

### setScanDesc

    public void setScanDesc(java.lang.String scanDesc)

### getConfig

    public byte[] getConfig()

### setConfig

    public void setConfig(byte[] config)

### getAIScheduleValue

    public AIScheduleValue getAIScheduleValue()

  Deprecated. use (this) AISchedule object

  legacy EJB DTO pattern

  Returns:

### setAIScheduleValue

    public void setAIScheduleValue(AIScheduleValue valueHolder)

### getScheduleValue

    public ScheduleValue getScheduleValue()
                                   throws java.io.IOException,
                                          java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### setScheduleValue

    public void setScheduleValue(ScheduleValue schedule)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.